- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- ExecutionScope
- ApiPlaybookCard
- PlaybookType
Full name: projects.locations.instances.legacyPlaybooks.legacyGetEnabledWFCards
Returns a list of all playbooks that are currently enabled and ready for execution.
HTTP request
POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyGetEnabledWFCards
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
instance |
Required. The instance to get the enabled WFCards for. Format: projects/{project}/locations/{location}/instances/{instance} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"caseEnvironment": string,
"executionScope": enum ( |
| Fields | |
|---|---|
caseEnvironment |
Optional. The environment to get the enabled WFCards for. |
executionScope |
Optional. Defines the execution scope of playbook. If this field is not provided, it defaults to |
Response body
LegacyPlaybookGetEnabledWFCardsResponse is a response for getting the enabled WFCards.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"payload": [
{
object ( |
| Fields | |
|---|---|
payload[] |
Optional. The enabled WFCards. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the instance resource:
chronicle.legacyPlaybooks.get
For more information, see the IAM documentation.
ExecutionScope
Defines the scope for which a playbook is designed to be executed.
| Enums | |
|---|---|
EXECUTION_SCOPE_UNSPECIFIED |
The scope is unspecified. |
ALERT |
The playbook is attached to an alert. |
CASE |
The playbook is attached to a case. |
ApiPlaybookCard
ApiPlaybookCard represents a playbook card.
| JSON representation |
|---|
{
"playbookName": string,
"description": string,
"playbookType": enum ( |
| Fields | |
|---|---|
playbookName |
Required. PlaybookName is the name of the playbook. |
description |
Optional. Description is the description of the playbook. |
playbookType |
Required. PlaybookType is the type of the playbook. |
originalWorkflowDefinitionIdentifier |
Required. OriginalWorkflowDefinitionIdentifier is the original workflow definition identifier. |
workflowDefinitionIdentifier |
Required. WorkflowDefinitionIdentifier is the workflow definition identifier. |
isDebugMode |
Optional. IsDebugMode indicates if the playbook is in debug mode. |
PlaybookType
Playbook types to filter the workflow menu cards by.
| Enums | |
|---|---|
PLAYBOOK_TYPE_UNSPECIFIED |
Unspecified playbook type. |
REGULAR |
Regular playbook type. |
NESTED |
Nested playbook type. |